
//	Copyright 2010 Ohtan's Design Corporation

//	*     * okiaGlcdlib.h
//	**    *
//	* *   *
//	*  *  *
//	*   * *
//	*    **
//	*     *

// ===========================================================================
// =	CL^										@@@@@@					 =
// ===========================================================================
//	004 2010.09.30
//	Ezdl@RgC
// ---------------------------------------------------------------------------
//	003 2010.09.3
//	ECf[^EEPROMɋL^
// ---------------------------------------------------------------------------
//	002 2010.08.20
//	EI/O_̏C
// ---------------------------------------------------------------------------
//	001 2010.06.26
//	EVK쐬
//  Crated by A.Ohta
// ===========================================================================

#ifndef	_INC_NOKIAGLCDLIB
#define	_INC_NOKIAGLCDLIB

// ***************************************************************************
//		mLA5110LCD쓮pCu[wb_[t@C
// ***************************************************************************

// ***************************************************************************
//
//	RB15:(INV)SCE	(INV)LCD `bvCl[u
//	RB14:SDIN		f[^
//	RB13:SCK		ʐMpNbN
//	RB12:D/(INV)C	f[^/(INV)R}h IM
//	RB11:(INV)RES	(INV)LCD Zbg
//
// ***************************************************************************

// ***************************************************************************
// ***************************************************************************
// *	CN[ht@C														 *
// ***************************************************************************
// ***************************************************************************

// ***************************************************************************
// ***************************************************************************
// *	Œl																 *
// ***************************************************************************
// ***************************************************************************

	// 48~84hbgOtBbNLCD@|[g`
					
#define SPI_SCE			LATBbits.LATB15
#define SPI_DATA		LATBbits.LATB14
#define SPI_CLK			LATBbits.LATB13
#define SPI_DC			LATBbits.LATB12
#define SPI_RES			LATBbits.LATB11

#define LCD_WIDTH		84
#define LCD_HEIGHT		48
#define LCD_BANKS		(LCD_HEIGHT/8)
#define LCD_MAX_X		(LCD_WIDTH  - 1)
#define LCD_MAX_Y		(LCD_HEIGHT - 1)
#define LCD_MAX_BANK	(LCD_BANKS - 1)

#define GRAPH_HIST_MAX	48

#define intLCD_MAX_PRES	1021											//  \C̍ől̏l
#define intLCD_MIN_PRES	1006											//  \C̍ŏl̏l
																		//  POPRhPa1hPa/dot
#define LCD_MAX_TEMP	50												//  \鉷x̍ől
#define LCD_MIN_TEMP	0												//  \鉷x̍ŏl

	//	***** U *****
#define	CLOCK	4														// PʂMHzŎw:set to CLOCK with MHz, 1/2 of system's clock .

// ***************************************************************************
// ***************************************************************************
// *	\																 *
// ***************************************************************************
// ***************************************************************************

// ***************************************************************************
// ***************************************************************************
// *	O[oϐ															 *
// ***************************************************************************
// ***************************************************************************

// ***************************************************************************
// ***************************************************************************
// *	e[u																 *
// ***************************************************************************
// ***************************************************************************


// ***************************************************************************
// ***************************************************************************
// *	}N錾																 *
// ***************************************************************************
// ***************************************************************************


// ***************************************************************************
// ***************************************************************************
// *	vg^Cv錾															 *
// ***************************************************************************
// ***************************************************************************

void SPI_tx_byte(unsigned char, int);
void SPI_tx_data(unsigned char);
void SPI_tx_command(unsigned char);

void LCD_init();
void LCD_locate(unsigned char, unsigned char);
void LCD_set_data(unsigned char *, int);
void LCD_clear(unsigned int);

void print_num(int, int, int);
void print_unithps(void);
void print_percent(void);
void print_unitdeg(void);
void print_eepromrec(void);
void print_eepromplay(void);
void print_Yaxis(void);
void graph_plotx_Presclear(int);
void graph_plotx_Tempclear(int);
void graph_plotx_Rhumclear(int);
void print_press(int);
void print_temp(int, int);
void print_RH(int);
void print_Presgraph(int, unsigned short);
void print_Tempgraph(int, int);
void print_Rhumgraph(int, int);
void draw_point(int, int);
void draw_Prespoint(int, int);
void draw_Temppoint(int, int);
void draw_Rhumpoint(int, int);

void delay_us(UINT);
void delay_ms(UINT);

// ***************************************************************************
// ***************************************************************************
// *																		 *
// ***************************************************************************
// ***************************************************************************

#endif

//	Copyright 2010 Ohtan's Design Corporation

